"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.Button = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _jsxRuntime = require("react/jsx-runtime");

const Button = ({
  active,
  disabled,
  className,
  children,
  ...rest
}) => {
  const classes = (0, _classnames.default)('Button', active && `Button--active`, disabled && `Button--disabled`, className);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", { ...rest,
    className: classes,
    children: children
  });
};

exports.Button = Button;