"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.Example = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

require("./example.scss");

var _jsxRuntime = require("react/jsx-runtime");

const Example = ({
  active,
  disabled,
  className,
  children,
  ...rest
}) => {
  const classes = (0, _classnames.default)('Example', active && `Example--active`, disabled && `Example--disabled`, className);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("button", { ...rest,
    className: classes,
    children: children
  });
};

exports.Example = Example;