"use strict";

exports.__esModule = true;
exports.useProductSelector = useProductSelector;

var _react = require("react");

var _ProductContext = require("./ProductContext");

//#TO_DO change return type
function useProductSelector() {
  const contextValue = (0, _react.useContext)(_ProductContext.ProductValueContext);

  if (process.env.NODE_ENV !== 'production' && !contextValue) {
    throw new Error('could not find product context value; please ensure the component is wrapped in a <Provider>');
  }

  return contextValue;
}