import React from 'react';
import classnames from 'classnames';
import './example.scss';
import { jsx as _jsx } from "react/jsx-runtime";
export const Example = ({
  active,
  disabled,
  className,
  children,
  ...rest
}) => {
  const classes = classnames('Example', active && `Example--active`, disabled && `Example--disabled`, className);
  return /*#__PURE__*/_jsx("button", { ...rest,
    className: classes,
    children: children
  });
};