"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = require("@storybook/react");

var _react2 = _interopRequireDefault(require("react"));

var _ = require(".");

var _2 = require("..");

var _jsxRuntime = require("react/jsx-runtime");

(0, _react.storiesOf)('Animate Slider', module).add('Default', () => {
  const slidingDivRef = _react2.default.useRef(null);

  const onClick = (e, type) => {
    slidingDivRef.current.toggle(type);
  };

  const width = '350px';
  const height = '100%';
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_2.ButtonNew, {
      onClick: e => onClick(e, true),
      children: "Open Sliding Div"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_.AnimateSlider, {
      //Note: dont specify this used for example
      ref: slidingDivRef,
      slideDirection: 'left',
      width: width,
      height: height,
      showOverlay: true,
      className: 'sliding-div',
      onOverlayClick: () => alert('Clicked on Overlay'),
      children: /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        style: {
          display: 'flex',
          alignItems: 'center',
          justifyContent: 'center',
          height: '100%'
        },
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("p", {
          children: "Your Slider Content Goes Here"
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_2.ButtonNew, {
          onClick: e => onClick(e, false),
          children: "Close Sliding Div"
        })]
      })
    }, width + height)]
  });
});