"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _react = _interopRequireDefault(require("react"));

var _ = require("..");

var _react2 = require("@testing-library/react");

var _jsxRuntime = require("react/jsx-runtime");

describe('Example Component', () => {
  it('Example renders', () => {
    const {
      container
    } = (0, _react2.render)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_.Example, {}));
    const node = container.querySelector('button.Example');
    expect(node.className).toEqual('Example');
  });
  it('Example active renders', () => {
    const {
      container
    } = (0, _react2.render)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_.Example, {
      active: true
    }));
    const node = container.querySelector('button.Example');
    expect(node.className).toEqual('Example Example--active');
  });
  it('Example disabled renders', () => {
    const {
      container
    } = (0, _react2.render)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_.Example, {
      disabled: true
    }));
    const node = container.querySelector('button.Example');
    expect(node.className).toEqual('Example Example--disabled');
  });
  it('Example children renders', () => {
    const {
      container
    } = (0, _react2.render)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_.Example, {
      children: "foo"
    }));
    const node = container.querySelector('button.Example');
    expect(node.innerHTML).toEqual('foo');
  });
  it('Example extra classNames render', () => {
    const {
      container
    } = (0, _react2.render)( /*#__PURE__*/(0, _jsxRuntime.jsx)(_.Example, {
      className: "foo"
    }));
    const node = container.querySelector('button.Example');
    expect(node.className).toEqual('Example foo');
  });
});