import React from 'react';
import classnames from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
export const Button = ({
  active,
  disabled,
  className,
  children,
  ...rest
}) => {
  const classes = classnames('Button', active && `Button--active`, disabled && `Button--disabled`, className);
  return /*#__PURE__*/_jsx("div", { ...rest,
    className: classes,
    children: children
  });
};